Package org.eclipse.m2m.atl.adt.ui.preferences

# Class ModifyDialogTabPage.DefaultFocusManager

java.lang.Object
org.eclipse.swt.events.FocusAdapter
org.eclipse.m2m.atl.adt.ui.preferences.ModifyDialogTabPage.DefaultFocusManager

All Implemented Interfaces:
  `EventListener`, `org.eclipse.swt.events.FocusListener`

Enclosing class:
  `ModifyDialogTabPage`

protected static final class ModifyDialogTabPage.DefaultFocusManager extends org.eclipse.swt.events.FocusAdapter
This class provides the default way to preserve and re-establish the focus over multiple modify sessions. Each ModifyDialogTabPage has its own instance, and it should add all relevant controls upon creation, always in the same sequence. This established a mapping of controls to indexes, which allows to restore the focus in a later session. The index is saved in the dialog settings, and there is only one common preference for all tab pages. It is always the currently active tab page which stores its focus index.

## Constructor Summary

Constructors
Constructor
Description
`DefaultFocusManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(ModifyDialogTabPage.Preference preference)`
`void`
`add(org.eclipse.swt.widgets.Control control)`
`void`
`focusGained(org.eclipse.swt.events.FocusEvent e)`
`boolean`
`isUsed()`
`void`
`resetFocus()`
`void`
`restoreFocus()`

### Methods inherited from class org.eclipse.swt.events.FocusAdapter

`focusLost`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultFocusManager

public DefaultFocusManager()

## Method Details

### focusGained

public void focusGained(org.eclipse.swt.events.FocusEvent e)

Specified by:
  `focusGained` in interface `org.eclipse.swt.events.FocusListener`
Overrides:
  `focusGained` in class `org.eclipse.swt.events.FocusAdapter`

### add

public void add(org.eclipse.swt.widgets.Control control)

### add

public void add(ModifyDialogTabPage.Preference preference)

### isUsed

public boolean isUsed()

### restoreFocus

public void restoreFocus()

### resetFocus

public void resetFocus()